Apache HTTP Server Request Library

APR::Request::CGI
Language Bindings » Perl

- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - handle
- SEE ALSO
- COPYRIGHT

# NAME

APR::Request::CGI - wrapper for libapreq2's CGI handle.

# SYNOPSIS

    use APR::Request::CGI;
    my $req = APR::Request::CGI->handle($pool);

# DESCRIPTION

The APR::Request::CGI module provides a constructor for accessing CGI request data associated to a pool via libapreq2.

This manpage documents version 2.17 of the APR::Request::CGI package.

# METHODS

APR::Request::CGI - derived from `APR::Request`.

## handle

    APR::Request::CGI->handle($pool)

Creates an APR::Request::CGI object. The argument `$pool` is an APR::Pool object.

# SEE ALSO

APR::Request, APR::Pool.

# COPYRIGHT

    Licensed to the Apache Software Foundation (ASF) under one or more
    contributor license agreements.  See the NOTICE file distributed with
    this work for additional information regarding copyright ownership.
    The ASF licenses this file to You under the Apache License, Version 2.0
    (the "License"); you may not use this file except in compliance with
    the License.  You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.